org.eclipse.cdt.utils.som.parser

## Class SOMBinaryObject

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.som.parser.SOMBinaryObject

All Implemented Interfaces:
  IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  SOMBinaryExecutable, SOMBinaryShared

    public class SOMBinaryObject
    extends BinaryObjectAdapter

Binary file in HP-UX SOM format

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`SOMBinaryObject(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)`
`SOMBinaryObject(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addSymbols(SOM.Symbol[] peSyms, byte[] table, List<Symbol> list)`
`<T> T` `getAdapter(Class<T> adapter)`
`Addr2line` `getAddr2line(boolean autodisposing)`
`IAddressFactory` `getAddressFactory()`
`protected BinaryObjectAdapter.BinaryObjectInfo` `getBinaryObjectInfo()`
`InputStream` `getContents()`
`protected CPPFilt` `getCPPFilt()`
`String` `getName()` The name of the object
`protected Objdump` `getObjdump()`
`protected SOM` `getSOM()`
`IBinaryParser.ISymbol[]` `getSymbols()` Symbols of the object
`protected void` `loadAll()`
`protected void` `loadInfo()`
`protected void` `loadInfo(SOM som)`
`protected void` `loadSymbols(SOM som)`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

### Constructor Detail

#### SOMBinaryObject

    public SOMBinaryObject(IBinaryParser parser,
                           org.eclipse.core.runtime.IPath path,
                           AR.ARHeader header)

Parameters:
  `parser` -
  `path` -
  `header` -

#### SOMBinaryObject

    public SOMBinaryObject(IBinaryParser parser,
                           org.eclipse.core.runtime.IPath path,
                           int type)

Parameters:
  `parser` -
  `path` -
  `type` -

### Method Detail

#### getSymbols

    public IBinaryParser.ISymbol[] getSymbols()

Description copied from interface: `IBinaryParser.IBinaryObject`
Symbols of the object

Specified by:
  `getSymbols` in interface `IBinaryParser.IBinaryObject`
Specified by:
  `getSymbols` in class `BinaryObjectAdapter`
Returns:
  ISymbol[] arrays of symbols
See Also:
  `IBinaryParser.IBinaryObject.getSymbols()`

#### getBinaryObjectInfo

    protected BinaryObjectAdapter.BinaryObjectInfo getBinaryObjectInfo()

Specified by:
  `getBinaryObjectInfo` in class `BinaryObjectAdapter`

#### getName

    public String getName()

Description copied from interface: `IBinaryParser.IBinaryObject`
The name of the object

Specified by:
  `getName` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getName` in class `BinaryObjectAdapter`
Returns:
  String
See Also:
  `IBinaryParser.IBinaryObject.getName()`

#### getContents

    public InputStream getContents()
                            throws IOException

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Overrides:
  `getContents` in class `BinaryFile`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  `IBinaryParser.IBinaryFile.getContents()`

#### getSOM

    protected SOM getSOM()
                  throws IOException

Throws:
  `IOException`

#### loadAll

    protected void loadAll()
                    throws IOException

Throws:
  `IOException`

#### loadInfo

    protected void loadInfo()
                     throws IOException

Throws:
  `IOException`

#### loadInfo

    protected void loadInfo(SOM som)
                     throws IOException

Throws:
  `IOException`

#### loadSymbols

    protected void loadSymbols(SOM som)
                        throws IOException

Throws:
  `IOException`

#### addSymbols

    protected void addSymbols(SOM.Symbol[] peSyms,
                              byte[] table,
                              List<Symbol> list)

#### getAddr2line

    public Addr2line getAddr2line(boolean autodisposing)

#### getCPPFilt

    protected CPPFilt getCPPFilt()

#### getObjdump

    protected Objdump getObjdump()

#### getAdapter

    public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`

#### getAddressFactory

    public IAddressFactory getAddressFactory()

Specified by:
  `getAddressFactory` in interface `IBinaryParser.IBinaryObject`
Specified by:
  `getAddressFactory` in class `BinaryObjectAdapter`